Bug 990963 - vdsm must require selinux-policy-3.12.1-68.fc19
vdsm must require selinux-policy-3.12.1-68.fc19
Product: Fedora
Classification: Fedora
Component: vdsm (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Antoni Segura Puimedon
Fedora Extras Quality Assurance
Depends On: 977856
Blocks: 918494
  Show dependency treegraph
Reported: 2013-08-01 05:59 EDT by Antoni Segura Puimedon
Modified: 2014-12-07 19:51 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-08-21 06:07:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17642 None None None Never
oVirt gerrit 17763 None None None Never

  None (edit)
Description Antoni Segura Puimedon 2013-08-01 05:59:58 EDT
Description of problem: vdsm needs to update the spec file to include selinux-policy-3.12.1-68.fc19 as a requirement so that multiple gateways works in F19.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
The bug that originated the fix in selinux-policy-3.12.1-68 is https://bugzilla.redhat.com/977856
Comment 1 Cole Robinson 2013-08-01 11:31:35 EDT
It isn't common for packages to have an explicit dep on selinux-policy. Can't vdsm run correctly if selinux is disabled?
Comment 2 Antoni Segura Puimedon 2013-08-01 11:38:59 EDT
vdsm doesn't have a service dependency on selinux, thus, it can run with it disabled. However, as it stands, selinux must be installed to install vdsm.
Comment 3 Dan Kenigsberg 2013-08-04 12:09:28 EDT
We even require (and make use of) libselinux-python. I am not sure, but one may argue that it might have been nicer to make it a softer requirement, and to have

  Conflicts: selinux-policy < 3.12.1-68.fc19

but that's certainly not for this time frame.
Comment 4 Antoni Segura Puimedon 2013-08-21 06:07:58 EDT
Merged on the ovirt-3.3 branch with commit id:

Note You need to log in before you can comment on or make changes to this bug.